Send applicant platform event with captured device

In scenarios, where it is required to confirm that the event (login, sign up, password reset, or 2FA reset) on the applicant side is completed, you can send the applicant platform event with captured device as the third step of the Device Intelligence usage flow.

To do this, use the method for submitting a transaction for non-existing applicant with the following parameters included:

BODY parameters

ParameterTypeRequiredDescription
applicantObjectYesApplicant full name and identifier on your side.
userPlatformEventInfoObjectYesIndicates the applicant platform event status. Can be omitted if the event was successful.
typeStringYesSpecifies the type of transaction being created. For Device Intelligence, set this to userPlatformEvent.
txnIdStringYesUnique identifier for the confirmed applicant platform event that you generate on your side.

applicant attributes

AttributeTypeRequiredDescription
fullNameStringYesFull name of the applicant.
externalUserIdStringYesUnique applicant identifier within your system.
emailStringYesApplicant email address.
phoneStringNoApplicant phone number.
deviceObjectYes

Contains only the deviceBindingId attribute. Specify the same value that was used in the fingerprint() call.

See this article for details.

userPlatformEventInfo attributes

AttributeTypeRequiredDescription
typeStringYesSpecifies the type of transaction being created. For Device Intelligence, set this to userPlatformEvent.
passwordHashStringNoHashed representation of the user’s password, used to detect and prevent fraud by identifying repeated use of the same password across multiple accounts.

Request example

curl -X POST \
     'https://api.sumsub.com/resources/applicants/-/kyt/txns/-/data?accessToken=_act-jwt-eyx8A8qkAWM9Tb2LSS6yuP8EoLqJtWKVsmhE6AgaCav5E28JAJiJidzG2qZIjMECQ6UWsuboKvMeM1HEhPTWF1ZPqJxcdtP0N8opXwJdCZLfetv5Ui516CloG6nKT9YUaZ' \
     -H 'content-type: application/json' \
     -d '{
            "applicant": {
                "fullName": "John Doe",
                "email": "[email protected]",
                "externalUserId": "KGFJ57657VJH",
                "device": {
                    "deviceBindingId": "applicant-1000-txnId-2000"
                }
            },
            "userPlatformEventInfo": {
                "type": "login",
                "passwordHash": "21354684686zdtgx358th4x84t4h3xft584h3fxt"
            },
            "type": "userPlatformEvent",
            "txnId": "finance0001"
          }'

Response explained

Since the applicant platform events are considered as event transactions, the response is a JSON file that represents the structured transaction information available in the Sumsub system. The existence of some fields depends on the transaction type and matched rules.

To overview the response structure and possible content with descriptions, refer to the following page.

📘

Note

You can review the applicant event check results on the Transactions page in the Dashboard.